shisa_key_remove(3)

NAME
shisa_key_remove - API function

SYNOPSIS
#include <shisa.h>

int shisa_key_remove(Shisa * dbh, const char * realm, const char * principal, const Shisa_key * key);

ARGUMENTS

Shisa * dbh
    Shisa library handle created by shisa().

const char * realm
    Name of the realm the principal belongs to.

const char * principal
    Name of the principal whose key is to be removed.

const Shisa_key * key
    Pointer to a Shisa key structure with hints on matching criteria for the key to select.

DESCRIPTION
Removes from the Shisa database a key, matching the hints in key, for the user PRINCIPAL@REALM. Not all elements of key need to be filled in, only those relevant to locate the key uniquely.

For example, if you want to remove the only key of etype 3, i.e., DES-CBC-MD5, then set the field key->etype to 3, and all other fields to zero.

RETURN VALUE
Returns SHISA_OK on success, SHISA_NO_KEY if no key could be located, SHISA_MULTIPLE_KEY_MATCH if more than one key matched the given criteria, or an error code otherwise.

REPORTING BUGS
Report bugs to <bug-shishi@gnu.org>. GNU Shishi home page: http://www.gnu.org/software/shishi/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2002-2022 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for shishi is maintained as a Texinfo manual. If the info and shishi programs are properly installed at your site, the command

    info shishi

should give you access to the complete manual.